gargoyle compile.....GIT-1.6.5

Discuss the technical details of Gargoyle and ongoing development

Moderator: Moderators

Post Reply
jenom
Posts: 48
Joined: Wed Jul 06, 2011 1:38 pm
Location: Canada

gargoyle compile.....GIT-1.6.5

Post by jenom »

trying to compile gargoyle
went this far:

BUILDING BANNER
make[1]: Entering directory '/home/xxx/gargoyle/ar71xx-src'
make[2]: Entering directory '/home/xxx/gargoyle/ar71xx-src'
make[3]: Entering directory '/home/xxx/gargoyle/ar71xx-src'
Checking 'working-make'... ok.
Checking 'case-sensitive-fs'... ok.
Checking 'gcc'... ok.
Checking 'working-gcc'... ok.
Checking 'g++'... ok.
Checking 'working-g++'... ok.
Checking 'ncurses'... ok.
Checking 'zlib'... ok.
Checking 'libssl'... ok.
Checking 'tar'... ok.
Checking 'find'... ok.
Checking 'bash'... ok.
Checking 'patch'... ok.
Checking 'diff'... ok.
Checking 'cp'... ok.
Checking 'seq'... ok.
Checking 'awk'... ok.
Checking 'grep'... ok.
Checking 'getopt'... ok.
Checking 'stat'... ok.
Checking 'md5sum'... ok.
Checking 'unzip'... ok.
Checking 'bzip2'... ok.
Checking 'wget'... ok.
Checking 'perl'... ok.
Checking 'python'... ok.
Checking 'svn'... ok.
Checking 'git'... failed.
Checking 'file'... ok.
Checking 'openssl'... ok.
Checking 'ldconfig-stub'... ok.

Build dependency: Please install Git (git-core) >= 1.6.5
-----------------------------------------------------------------------------------
using Debian-SID linux with git-core 2.13.2 installed
git-core 1.6.5 was used in 2009 !

any suggestion ?

ispyisail
Moderator
Posts: 4851
Joined: Mon Apr 06, 2009 3:15 am
Location: New Zealand

Re: gargoyle compile.....GIT-1.6.5

Post by ispyisail »

with ubuntu

Code: Select all

sudo apt-get install build-essential asciidoc binutils bzip2 gawk gettext git libncurses5-dev libz-dev patch unzip zlib1g-dev lib32gcc1 libc6-dev-i386 subversion flex uglifyjs git-core gcc-multilib p7zip p7zip-full msmtp libssl-dev texinfo

Lantis
Moderator
Posts: 5628
Joined: Mon Jan 05, 2015 5:33 am
Location: Australia

Re: gargoyle compile.....GIT-1.6.5

Post by Lantis »

You need to install git, which will grab git-core as a dependency.

Also note the >= on the version. It's not saying you must use that version, simply that version or any superseding it.
http://lantisproject.com/downloads/gargoyle_ispyisail.php for the latest releases
Please be respectful when posting. I do this in my free time on a volunteer basis.

gth
Posts: 4
Joined: Wed Nov 07, 2018 11:21 pm

Re: gargoyle compile.....GIT-1.6.5

Post by gth »

(at the risk of thread-necro)

I actually had to modify the script .../openwrt/include/prereq-build.mk, as it had an incorrect test for the presence of git -

I changed this line:

Code: Select all

$(eval $(call SetupHostCommand,git,Please install Git (git-core) >= 1.6.5, \
 git clone 2>&1 | grep -- --recursive))


...to grep for a slightly different command line option:

Code: Select all

$(eval $(call SetupHostCommand,git,Please install Git (git-core) >= 1.6.5, \
 git clone 2>&1 | grep -- --recurs))


I'm still trying to get a working build environment. It'd be great if there was something like an ubuntu virtual machine image pre-loaded with the git repository for the current stable image.

ispyisail
Moderator
Posts: 4851
Joined: Mon Apr 06, 2009 3:15 am
Location: New Zealand

Re: gargoyle compile.....GIT-1.6.5

Post by ispyisail »

I'm still trying to get a working build environment. It'd be great if there was something like an ubuntu virtual machine image pre-loaded with the git repository for the current stable image.


Install Ubuntu server 18.04 64bit

make an SSH connection (putty)

Code: Select all

sudo add-apt-repository universe


Code: Select all

sudo add-apt-repository multiverse


Code: Select all

sudo apt-get update


Code: Select all

sudo apt-get upgrade


Code: Select all

sudo apt-get install build-essential asciidoc binutils bzip2 gawk gettext git libncurses5-dev libz-dev patch unzip zlib1g-dev lib32gcc1 libc6-dev-i386 subversion flex uglifyjs git-core gcc-multilib p7zip p7zip-full msmtp libssl-dev texinfo


Code: Select all

git clone git://github.com/ericpaulbishop/gargoyle.git


Code: Select all

cd gargoyle


Code: Select all

make FULL_BUILD=true


Than wait 15 hours or so

I think my last build was close to 24 hours

gth
Posts: 4
Joined: Wed Nov 07, 2018 11:21 pm

Re: gargoyle compile.....GIT-1.6.5

Post by gth »

Thanks for the walk through. I've stumbled across pretty much the same procedure (the universe command didn't work though?). I'll start clean and try again though.

At present I'm using a virtual machine running on my NAS, but with those kind of build times, I'm thinking I might just alt-boot my main rig - it's a beast.

All this just to get crelay working. :)

[edit: I needed to run sudo apt-get install software-properties-common to add the add-apt-repository command to Ubuntu 18.04.]
Last edited by gth on Mon Dec 10, 2018 5:23 pm, edited 1 time in total.

ispyisail
Moderator
Posts: 4851
Joined: Mon Apr 06, 2009 3:15 am
Location: New Zealand

Re: gargoyle compile.....GIT-1.6.5

Post by ispyisail »

Those times were on and old xeon (10 years old) and for every build possible

Single builds on a fast machine are much quicker

Post Reply